View Issue Details

IDProjectCategoryView StatusLast Update
0023181mantisbtadministrationpublic2017-09-03 18:41
ReporterdregadAssigned Todregad 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.3.0-beta.2 
Target Version2.5.2Fixed in Version2.5.2 
Summary0023181: Checks on login page are never executed if "admin" dir does not exist
Description

This is a consequence of 0017958.

Some of the admin checks performed on login page can (and should) be executed if the admin dir does not exist (e.g. default administrator account, detailed error settings).

Only the database schema version checks actually require the admin dir to be present (to include schema.php).

TagsNo tags attached.

Relationships

related to 0017958 closedvboctor Disable admin_checks if admin folder doesn't exist 
related to 0023179 closeddregad Login page no longer warns about 'admin' directory being present 

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master-2.5 4980b3b0

2017-08-03 16:57:09

dregad

Details Diff
Execute login page checks that can run without admin dir

Some of the admin checks performed on login page can (and should) be
executed if the admin dir does not exist (e.g. default administrator
account password, detailed error settings).

Fixes 0023181
mod - login_page.php Diff File

MantisBT: master-1.3.x 82f913d3

2017-08-03 16:57:09

dregad

Details Diff
Execute login page checks that can run without admin dir

Some of the admin checks performed on login page can (and should) be
executed if the admin dir does not exist (e.g. default administrator
account password, detailed error settings).

Fixes 0023181

Backported from master-2.5 branch 4980b3b0ae85cb76f3b14ac61214efde1f802da4
mod - login_page.php Diff File

Issue History

Date Modified Username Field Change
2017-08-03 17:46 dregad New Issue
2017-08-03 17:46 dregad Relationship added related to 0017958
2017-08-03 17:47 dregad Relationship added related to 0023179
2017-08-04 18:17 dregad Changeset attached => MantisBT master-2.5 4980b3b0
2017-08-04 18:17 dregad Assigned To => dregad
2017-08-04 18:17 dregad Status new => resolved
2017-08-04 18:17 dregad Resolution open => fixed
2017-08-04 18:17 dregad Fixed in Version => 2.5.2
2017-08-04 18:17 dregad Changeset attached => MantisBT master-1.3.x 82f913d3
2017-08-04 19:00 dregad Relationship added related to 0023173
2017-08-04 19:00 dregad Relationship deleted related to 0023173
2017-08-05 15:07 atrol Target Version => 2.5.2
2017-09-03 18:41 vboctor Status resolved => closed